List sending domains
curl --request GET \
--url https://app.nudgen.net/api/v1/settings/sending-domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/settings/sending-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/settings/sending-domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"id": "<string>",
"domain": "<string>",
"senderEmail": "jsmith@example.com",
"senderName": "<string>",
"status": "<string>",
"ownershipToken": "<string>",
"ownershipVerifiedAt": "2023-11-07T05:31:56Z",
"dnsRecords": [
"<unknown>"
],
"dkimVerified": true,
"returnPathVerified": true,
"dmarcStatus": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"defaultDomainId": "<string>",
"holdReason": "<string>",
"canManage": true,
"canUseCustomSender": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
List sending domains
GET
/
api
/
v1
/
settings
/
sending-domains
List sending domains
curl --request GET \
--url https://app.nudgen.net/api/v1/settings/sending-domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/settings/sending-domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/settings/sending-domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"id": "<string>",
"domain": "<string>",
"senderEmail": "jsmith@example.com",
"senderName": "<string>",
"status": "<string>",
"ownershipToken": "<string>",
"ownershipVerifiedAt": "2023-11-07T05:31:56Z",
"dnsRecords": [
"<unknown>"
],
"dkimVerified": true,
"returnPathVerified": true,
"dmarcStatus": "<string>",
"lastCheckedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>"
}
],
"defaultDomainId": "<string>",
"holdReason": "<string>",
"canManage": true,
"canUseCustomSender": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Personal Access Token created from Settings -> API Keys.
Query Parameters
ID of the currently active workspace. Must match the authenticated team.
Was this page helpful?